Content & UI

Endpoints related to content & ui.

GET /assignment/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 404 Not Found – The requested assignment cannot be found.

  • 403 Forbidden – You are not authorized to complete the request. Action not allowed by permissions.

  • 400 Bad Request – NotImplementedError

POST /assignment/

We don’t allow to create assignments via rest, this is a summary

We don’t allow to create assignments via rest, this is a summary of data from other related resources. Assignment will be created by tied related resource.

Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /assignment/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /assignment/{uuid}/

We don’t allow to update Assignment via rest (for now).

We don’t allow to update Assignment via rest (for now).

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
POST /layout/

Creates a 2D layout from the set of models provided wherever possible.

Creates a 2D layout from the set of models provided wherever possible.

Status Codes:
  • 201 Created – Resource created successfully

  • 404 Not Found – The requested layout cannot be found.

  • 400 Bad Request – The build parameters are invalid. The model spacing is an invalid value.

Response Headers:
  • Location – URI of the created resource

GET /layout/{uuid}/

Get a single instance of /layout/

Get a single instance of /layout/

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 404 Not Found – The requested layout cannot be found.

  • 400 Bad Request – The build parameters are invalid. The model spacing is an invalid value.

GET /content/{uuid}/

runs with GET endpoint for content is hit. Resolves (and decrypts

runs with GET endpoint for content is hit. Resolves (and decrypts content to send back (content = a blob of data) @returns a flask response obj containing the content

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
PUT /content/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
POST /carousel/
Status Codes:
Response Headers:
  • Location – URI of the created resource

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:

Changes via PUT are pretty limited. Mostly used to add new snapshots, or to change

Changes via PUT are pretty limited. Mostly used to add new snapshots, or to change order of snapshots.

Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes: